# Jaxer.App : Object
Return to: Jaxer Framework index

Class for the current app's metadata

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.App Constructor(Object props) : Jaxer.App The constructor of an object that describes the current app's metadata | Show Details | 1.0 | no

### Jaxer.App(Object props) : Jaxer.App

The constructor of an object that describes the current app's metadata

Parameters

Object | props | The properties to use for initializing this application: urlTest, name, db, path, etc.

Returns

Jaxer.App | Returns an instance of App

## Properties

Property | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
APP_KEY : String The fully-evaluated key to use when persisting or restoring values in the scope of the current application, using Jaxer.application. If this app's "appKey" property was a function, it will have been evaluated to a string using the current request. | Show Details | 1.0 | no

See Also

  Jaxer.App.prototype.appKey

appKey : String The key to use when persisting or restoring values in the scope of the current application, using Jaxer.application. This can be a string or a function: the function takes the request's parsedUrl as its sole parameter, and returns the key. The key should be unique across all applications. | Show Details | 1.0 | no

See Also

  Jaxer.application|Jaxer.App.prototype.APP_KEY

db : Object The database connection parameters to use by default for the current application. This can be an object or a function: the function takes the request's parsedUrl as its sole parameter, and returns the database connection parameters to use. | Show Details | 1.0 | no

See Also

  Jaxer.App.prototype.DB

DB : Object The fully-evaluated database parameters to use by default for the current application. If this app's "db" property was a function, it will have been evaluated to a string using the current request. | Show Details | 1.0 | no

See Also

  Jaxer.App.prototype.DB

name : String The name to use for the current application. This can be a string or a function: the function takes the request's parsedUrl as its sole parameter, and returns the name. The name should be unique across all applications (this is checked at server start). | Show Details | 1.0 | no

See Also

  Jaxer.App.prototype.NAME

NAME : String The fully-evaluated name to use for the current application. If this app's "name" property was a function, it will have been evaluated to a string using the current request. | Show Details | 1.0 | no

See Also

  Jaxer.App.prototype.name

PAGE_KEY : String The fully-evaluated key to use when persisting or restoring values in the scope of the current page, using Jaxer.page or Jaxer.sessionPage. If this app's "pageKey" property was a function, it will have been evaluated to a string using the current request. | Show Details | 1.0 | no

See Also

  Jaxer.App.prototype.pageKey

pageKey : String The key to use when persisting or restoring values in the scope of the current page, using Jaxer.page or Jaxer.sessionPage. This can be a string or a function: the function takes the request's parsedUrl as its sole parameter, and returns the key. The key should be unique across all pages for any application. | Show Details | 1.0 | no

See Also

  Jaxer.pageKey|Jaxer.App.prototype.PAGE_KEY

path : String The filesystem path to use by default for the current application. This can be a string or a function: the function takes the request's parsedUrl as its sole parameter, and returns the parameters to use. | Show Details | 1.0 | no

See Also

  Jaxer.App.prototype.PATH

PATH : String The fully-evaluated filesystem path to use by default for the current application. If this app's "path" property was a function, it will have been evaluated to a string using the current request. | Show Details | 1.0 | no

See Also

  Jaxer.App.prototype.path

urlTest : Function
The object that determines whether this app should be used for the current request. If a function, it takes the request's parsedUrl as its sole parameter, and returns true if this app should be used. If a regular expression, it should match against the request's parsedUrl's pathAndFile if this app should be used. If a string that contains a ".", it should equal the request's parsedUrl's pathAndFile if this app should be used. If a string that does not contain a ".", it should equal the request's parsedUrl's first pathPart if this app should be used.

No Details

1.0

no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
initPath() : void Initializes (creates if necessary) the path for this app, if any | No Details | 1.0 | no

aptana_docs